Bug 165796 - [PATCH] update net/miredo to 1.2.5
Summary: [PATCH] update net/miredo to 1.2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Munechika Sumikawa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-06 22:50 UTC by tobias.rehbein
Modified: 2012-10-23 08:57 UTC (History)
1 user (show)

See Also:


Attachments
net-miredo-1.2.5.diff (4.98 KB, patch)
2012-03-06 22:50 UTC, tobias.rehbein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tobias.rehbein 2012-03-06 22:50:07 UTC
	I updated the net/miredo port to the latest version. I had no problem with the version currently in ports but thought it might be a good idea to catch up.
	1.2.5 works fine for me, but there is one little issue left: libtun6/tun6.c uses kldload to load the if_tun module unconditionally. That leads to a message 
	in the boot process telling that "if_tun is already loaded". I tried to work around that without success.
Comment 1 Edwin Groothuis freebsd_committer 2012-03-06 22:52:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sumikawa

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-08-24 06:53:32 UTC
Author: sumikawa
Date: Fri Aug 24 05:53:17 2012
New Revision: 303055
URL: http://svn.freebsd.org/changeset/ports/303055

Log:
  Do not install miredo.service which is unnecessary for FreeBSD
  
  PR:		165796
  Submitted by:	Tobias Rehbein <tobias.rehbein@web.de>

Added:
  head/net/miredo/files/patch-misc_Makefile.in   (contents, props changed)
Modified:
  head/net/miredo/Makefile

Modified: head/net/miredo/Makefile
==============================================================================
--- head/net/miredo/Makefile	Fri Aug 24 04:27:34 2012	(r303054)
+++ head/net/miredo/Makefile	Fri Aug 24 05:53:17 2012	(r303055)
@@ -7,6 +7,7 @@
 
 PORTNAME=		miredo
 PORTVERSION=	 	1.2.5
+PORTREVISION=		1
 CATEGORIES=		net ipv6
 MASTER_SITES=		http://www.remlab.net/files/miredo/archive/
 

Added: head/net/miredo/files/patch-misc_Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/miredo/files/patch-misc_Makefile.in	Fri Aug 24 05:53:17 2012	(r303055)
@@ -0,0 +1,30 @@
+--- ./misc/Makefile.in.orig	2012-03-03 12:07:43.000000000 +0100
++++ ./misc/Makefile.in	2012-03-06 21:44:16.210698683 +0100
+@@ -367,24 +367,11 @@
+ 	@list='$(examples_DATA)'; test -n "$(examplesdir)" || list=; \
+ 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+ 	dir='$(DESTDIR)$(examplesdir)'; $(am__uninstall_files_from_dir)
+-install-systemdDATA: $(systemd_DATA)
+-	@$(NORMAL_INSTALL)
+-	test -z "$(systemddir)" || $(MKDIR_P) "$(DESTDIR)$(systemddir)"
+-	@list='$(systemd_DATA)'; test -n "$(systemddir)" || list=; \
+-	for p in $$list; do \
+-	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+-	  echo "$$d$$p"; \
+-	done | $(am__base_list) | \
+-	while read files; do \
+-	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(systemddir)'"; \
+-	  $(INSTALL_DATA) $$files "$(DESTDIR)$(systemddir)" || exit $$?; \
+-	done
++
++install-systemdDATA:
+ 
+ uninstall-systemdDATA:
+-	@$(NORMAL_UNINSTALL)
+-	@list='$(systemd_DATA)'; test -n "$(systemddir)" || list=; \
+-	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+-	dir='$(DESTDIR)$(systemddir)'; $(am__uninstall_files_from_dir)
++
+ tags: TAGS
+ TAGS:
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Munechika Sumikawa freebsd_committer 2012-10-23 08:57:32 UTC
State Changed
From-To: open->closed

Commited, thanks.